% ----------------------
% param.m
% ----------------------
% loads exogenous parameters
% ----------------------

global gam0 rho r0 g G delta sigma epsl epsp

aveage  = 40;                   % average ages working
gam0    = aveage/(aveage+1);    % surivival probability
rho     = .03;                  % discount rate
r0      = .03;                  % interest rate
g       = 0.01;                  % exogenous growth rate
G       = 1+g;                  % exogenous growth factor
delta   = 0.1;                  % depreciation rate
sigma   = 0.25;                 % intertemporal elasticity of substitution
epsl    = 0.3;                  % labor supply elasticity (hours)
epsp    = 0.5;                  % participation elasticity

global L0 w0 theta0 N0 NB0 Y0 C0 psi ell0 part0

L0      = 30;                   % total labor supply in eff. units
w0      = 2;                    % wage rate
theta0  = 1;                    % labor productivity parameter
N0      = 100;                  % noramlized population size
NB0     = (1-gam0)*N0;          % newborns
Y0      = 100;                  % normalized output
C0      = 0.5*Y0;               % consumption share (calibrated using taul0)
psi     = 10;                   % scaling factor adjustment costs
part0   = 0.7;                  % participation rate
ell0    = L0/(N0*theta0*part0); % per capita labor supply

global tauW0 tauF0 tauprof0 tauprofdeduct0 tauC0 b0 DG0 t

tauW0   = 0.1;                  % wage tax employee
tauF0   = 0.1;                  % wage tax employer
tauC0   = 0.1;                  % consumption tax
tauprof0= 0.1;                  % profit tax
tauprofdeduct0 = 1;             % capital maintenance costs deductible
b0      = 0.5*(1-tauW0)*w0*ell0*theta0;   % non-work benefits
DG0     = 0.6*Y0;               % government debt level
% G0 is used to balance budget in calibration
% Define all taxes at least slightly > 0

t       = 1;                    % time index

