% ----------------------
% runme.m
% ----------------------
% 'Blanchard_government_debt': Chapter 4.6, Ex.4
% March 3, 2014 Philip Schuster
% 
% computes the transition of a shock
% in a simple Blanchard model (open economy)
% with intensive and extensive margin labor supply
% and a government
% ----------------------

clear all;  % clear all variables
clc;        % clear screen

fprintf('BLANCHARD MODEL OF OPEN ECONOMY - TRANSITIONAL DYNAMICS\n\n');

% DATA AND CALIBRATION
global tend findrootmethod budget_bal

findrootmethod  = 1;    % use simple Newton-Raphson method (=1)
tend            = 700;  % number of periods
budget_bal      = 1;    % budget balance rule
% 1.. tauW, 2.. tauF, 3.. tauC, 4.. taul, 5.. tauprof, 6.. cG

param; % loads exogenous parameters
calib; % calibrates the model

% COMPUTE JACOBIAN FOR DYNAMIC SOLUTION
jacob = compjacob(guess);

% COMPUTE INITIAL STEADY STATE
ISS;

% REFORMS
taul = taul*0.98;

% COMPUTE FINAL STEADY STATE
FSS;

% SOLVE FOR TRANSITIONS
[actual, retcode] = gft(guess,jacob);   % Generalized Fair-Taylor
%[actual, retcode] = ft(guess);         % Original Fair-Taylor


